%define module	parsing

Summary:	An object-oriented approach to text processing
Name:		python-%{module}
Version:	2.0.6
Release:	1
Group:		Development/Python
License:	MIT
URL:		http://pyparsing.wikispaces.com/
Source0:	http://sourceforge.net/projects/pyparsing/files/pyparsing/pyparsing-2.0.6/pyparsing-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools

%description
The pyparsing module provides an alternative approach to creating and
executing simple grammars in Python versus the traditional lex/yacc
approach or the use of regular expressions. It provides a library of
classes that client code can use to construct a grammar directly.

%package -n python3-%{module}

Summary:	An object-oriented approach to text processing
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-%{module}
The pyparsing module provides an alternative approach to creating and
executing simple grammars in Python versus the traditional lex/yacc
approach or the use of regular expressions. It provides a library of
classes that client code can use to construct a grammar directly.

%prep
%setup -q -n py%{module}-%{version}
rm -rf %{_builddir}/python3-%{module}
cp -a . %{_builddir}/python3-%{module}

%build
python setup.py build
pushd %{_builddir}/python3-%{module}
    python3 setup.py build
popd

install -m 644 pyparsingClassDiagram.PNG pyparsingClassDiagram.png

%install
pushd %{_builddir}/python3-%{module}
    python3 setup.py install -O1 --skip-build --root=%{buildroot} --record=FILE_LIST
popd
python setup.py install -O1 --skip-build --root=%{buildroot} --record=FILE_LIST

# fix permissions
chmod 0644 examples/* htmldoc/* CHANGES HowToUsePyparsing.html pyparsingClassDiagram.png README LICENSE

%files
%doc CHANGES examples HowToUsePyparsing.html htmldoc pyparsingClassDiagram.png README LICENSE
%{py_puresitedir}/*

%files -n python3-%{module}
%doc CHANGES examples HowToUsePyparsing.html htmldoc pyparsingClassDiagram.png README LICENSE
%{py3_puresitedir}/*

%changelog

* Fri Jan 15 2016 dsilakov <denis.silakov@rosalab.ru> 2.0.6-1
- (fa47069) Merge pull request #7 from import/python-parsing:auto_update
- (fa47069) Updated to 2.0.6 (by updates_builder)


